Urllib3(trying to run this at AWS )

How to solve this

Modify the requirements.txt from
urllib3<1.25,>=1.21.1 (1st case) and urllib3<1.25,>=1.20
to
urllib3==1.25

Install the dependencies manually using
pip install -r requirements.txt

Alternatively, you could try this

pip install --upgrade urllib3

@trentmu
thx for your replay
but how can i modify it… i use only terminal(no intreface) using AWS instance
what should i write so i can open the file and edit it

You can search for the file like this…

cd ~/frappe-bench
find . -name requirements.txt

It is probably the one in the /apps/frappe path

sudo nano ~/frappe-bench/apps/frappe/requirements.txt

@trentmu
i triend too many times to run ERPNext on AWS with tutorials but i keep fail :frowning_face:
i use this one below now it is simble but i face the error which i posted


i am new to these stuff i can’t find the file u said i think it has another name
i open the file but it is empty i think it is not the desired

I had assumed you used the default username of frappe, but from the document you used to install, the paths are different. You did something like this…

After that, create a directory in /opt called erpnext…
sudo mkdir -p /opt/erpnext
sudo chown -R erpnextuser /opt/erpnext/

Then change into the directory and install ERPNext…
su - erpnextuser
cd /opt/erpnext

So I think your logged in username should be “erpnextuser”, and the paths are

cd /opt/erpnext
sudo nano ./frappe-bench/apps/frappe/requirements.txt

or

cd /opt/erpnext
sudo nano ./apps/frappe/requirements.txt

(I’m not sure whether your install creates subdir frappe-bench)

I prefer to use debian manual install

@trentmu
i tried that way on debian manual install but i still get bugs
i am traying to run ERPNext on that instace for a week but i still can’t run it
i have tried all of those below

https://websiteforstudents.com/install-erpnext-erp-platform-on-ubuntu-16-04-18-04-lts-with-nginx-mariadb-support/

i will creat a new instance trying that one “Install ERPNext on Ubuntu 17.xx and 18.xx (develop branch)” agian i hope i can trace and fix the bugs i face so it works with me

Closing this thread for this one instead Urllib3 this tool is crazzy can someone help